X10 Plugin Fehler in Version 0.3.7.r851

Einen Fehler gefunden? Gleich hier melden!

X10 Plugin Fehler in Version 0.3.7.r851

Postby Prinz » Fri Mar 20, 2009 9:28 pm

Hallo,

in das X10-Plugin der Version r851 hat sich leider ein Fehler eingeschlichen:

In der Zeile 238 steht ab Version r851:
Code: Select all
remoteId = REMOTE_IDS[(lAddress / 4) * 4]

Richtig ist aber:
Code: Select all
remoteId = REMOTE_IDS[(lAddress >> 4) << 4]


Gruß
Prinz
Mein HTPC:
Mainboard: Gigabyte GA-G33M-DS2R
CPU: Intel E5200
OS: WinXP SP3
Graphic card: NVIDIA GeForce 210 512MB
TV-Cards: 2 * Digital Everywhere FloppyDTV-C, Terratec Cinergy 1200 DVB-C
HTPC software: DVB Viewer / EventGhost
Prinz
Plugin Developer
 
Posts: 194
Joined: Mon Apr 07, 2008 4:58 am

Re: X10 Plugin Fehler in Version 0.3.7.r851

Postby Bitmonster » Wed Apr 29, 2009 8:45 pm

=> 0.3.7.r918
Please post software-related questions in the forum - PMs will only be answered, if really private, thanks!
User avatar
Bitmonster
Site Admin
 
Posts: 2239
Joined: Mon Feb 06, 2006 10:28 pm


Return to Fehlerberichte

Who is online

Users browsing this forum: No registered users and 1 guest